xcb_map_window(3)

NAME
xcb_map_window - Makes a window visible

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_map_window(xcb_connection_t *conn, xcb_window_t window);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

window
    The window to make visible.

DESCRIPTION
Maps the specified window. This means making the window visible (as long as its parent is visible). This MapWindow request will be translated to a MapRequest request if a window manager is running. The window manager then decides to either map the window or not. Set the override-redirect window attribute to true if you want to bypass this mechanism. If the window manager decides to map the window (or if no window manager is running), a MapNotify event is generated. If the window becomes viewable and no earlier contents for it are remembered, the X server tiles the window with its background. If the window's background is undefined, the existing screen contents are not altered, and the X server generates zero or more Expose events. If the window type is InputOutput, an Expose event will be generated when the window becomes visible. The normal response to an Expose event should be to repaint the window.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_map_window_checked. See xcb-requests(3) for details.

ERRORS

xcb_match_error_t
    The specified window does not exist.

SEE ALSO
xcb-requests(3), xcb_expose_event_t(3), xcb_map_notify_event_t(3), xcb_unmap_window(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.